package java.util.jar;

import java.util.List;
import java.util.Enumeration;
import java.security.CodeSource;
import java.net.URL;
import java.io.IOException;
import sun.misc.JavaUtilJarAccess;

class JavaUtilJarAccessImpl implements JavaUtilJarAccess
{
    JavaUtilJarAccessImpl() {
    }
    
    public boolean jarFileHasClassPathAttribute(JarFile jarFile) throws IOException {
        return jarFile.hasClassPathAttribute();
    }
    
    public CodeSource[] getCodeSources(JarFile jarFile, URL url) {
        return jarFile.getCodeSources(url);
    }
    
    public CodeSource getCodeSource(JarFile jarFile, URL url, String s) {
        return jarFile.getCodeSource(url, s);
    }
    
    public Enumeration<String> entryNames(JarFile jarFile, CodeSource[] array) {
        return jarFile.entryNames(array);
    }
    
    public Enumeration<JarEntry> entries2(JarFile jarFile) {
        return jarFile.entries2();
    }
    
    public void setEagerValidation(JarFile jarFile, boolean eagerValidation) {
        jarFile.setEagerValidation(eagerValidation);
    }
    
    public List<Object> getManifestDigests(JarFile jarFile) {
        return jarFile.getManifestDigests();
    }
    
    public Attributes getTrustedAttributes(Manifest manifest, String s) {
        return manifest.getTrustedAttributes(s);
    }
    
    public void ensureInitialization(JarFile jarFile) {
        jarFile.ensureInitialization();
    }
    
    public boolean isInitializing() {
        return JarFile.isInitializing();
    }
}
